#!/bin/bash
#
# StoneCut's FinalScratch Colour Mod Installation script
#
clear
echo
echo "Hi! This will install StoneCut's Colour Mod for FinalScratch"
echo
echo
echo "This script will backup your old files and then set FS"
echo "to use my altered colours."
echo
echo
cp /home/finalscratch/darkgrey.rc /home/finalscratch/darkgreybackup.rc
cp /home/recordboxing/recordboxing.gtkrc /home/recordboxing/recordboxingbackup.gtkrc
cp /home/finalscratch/final_stanton.xpm /home/finalscratch/final_stantonbackup.xpm
cp /home/finalscratch/final_stanton_small.xpm /home/finalscratch/final_stanton_smallbackup.xpm
cp /home/recordboxing/final_stanton.xpm /home/recordboxing/final_stantonbackup.xpm
cp /home/recordboxing/soundstripe_indicator_bottom.xpm /home/recordboxing/soundstripe_indicator_bottombackup.xpm
cp /home/recordboxing/soundstripe_indicator_top.xpm /home/recordboxing/soundstripe_indicator_topbackup.xpm
rm /home/finalscratch/darkgrey.rc
rm /home/recordboxing/recordboxing.gtkrc
rm /home/finalscratch/final_stanton.xpm
rm /home/finalscratch/final_stanton_small.xpm
rm /home/recordboxing/final_stanton.xpm
rm /home/recordboxing/soundstripe_indicator_bottom.xpm
rm /home/recordboxing/soundstripe_indicator_top.xpm
cp /initrd/mnt/dos/fs_songs/darkgrey.rc /home/finalscratch/darkgrey.rc
cp /initrd/mnt/dos/fs_songs/recordboxing.gtkrc /home/recordboxing/recordboxing.gtkrc
cp /initrd/mnt/dos/fs_songs/final_stanton.xpm /home/finalscratch/final_stanton.xpm
cp /initrd/mnt/dos/fs_songs/final_stanton_small.xpm /home/finalscratch/final_stanton_small.xpm
cp /initrd/mnt/dos/fs_songs/final_stanton.xpm /home/recordboxing/final_stanton.xpm
cp /initrd/mnt/dos/fs_songs/soundstripe_indicator_bottom.xpm /home/recordboxing/soundstripe_indicator_bottom.xpm
cp /initrd/mnt/dos/fs_songs/soundstripe_indicator_top.xpm /home/recordboxing/soundstripe_indicator_top.xpm
cp /initrd/mnt/dos/fs_songs/fs-logo-mod.gif /usr/share/WindowMaker/Backgrounds/fs-logo-mod.gif
echo
echo "Done ! Please enjoy your new FS colours."
echo
echo "All there is left to do is change the desktop background picture and colour."
echo "Drop me a line if you have any problems:"
echo
echo "stonecut@softhome.net"
echo
echo "Type 'exit' and press ENTER to close the Maintenance Shell window now."
exit 0